# Interface TranscludeFunctionObject

interface TranscludeFunctionObject {
isSlotFilled: ((arg0: string) => boolean);
transcludeWithScope: ((arg0: Scope, arg1: CloneAttachFunction, arg2: JQLite, arg3: string) => JQLite);
transcludeWithoutScope: ((arg0: CloneAttachFunction, arg1: JQLite, arg2: string) => JQLite);
}

- Defined in types.js:203

#####
Index

### Properties

isSlotFilled
transcludeWithScope
transcludeWithoutScope

##
Properties

### isSlotFilled

isSlotFilled: ((arg0: string) => boolean)

Returns true if the specified slot contains content (i.e., one or more DOM nodes)

- Defined in types.js:206

### transcludeWithScope

transcludeWithScope: ((arg0: Scope, arg1: CloneAttachFunction, arg2: JQLite, arg3: string) => JQLite)

- Defined in types.js:204

### transcludeWithoutScope

transcludeWithoutScope: ((arg0: CloneAttachFunction, arg1: JQLite, arg2: string) => JQLite)

- Defined in types.js:205